%define		mainver		0.95
%undefine	betaver
%define		relnumber	3
%define		srcname		mecab-python

%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:		python-mecab
Version:	%{mainver}
Release:	%{?betaver:0.}%{relnumber}%{?betaver:.%betaver}%{?dist}
Summary:	Python binding for MeCab

Group:		Applications/Text
# License is the same as MeCab
License:	BSD/LGPL/GPL
URL:		http://mecab.sourceforge.net/
Source0:	http://downloads.sourceforge.net/mecab/%{srcname}-%{mainver}%{?betaver}.tar.gz
Source1:	MeCab-license-Fedora
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# This is not release number specific
BuildRequires:	mecab-devel = %{version}
BuildRequires:	python-devel
BuildRequires(check):	mecab-jumandic

Requires:	mecab = %{version}

%description
%{summary}.

%prep
%setup -q -n %{srcname}-%{version}%{?betaver}
%{__install} -c -p -m 644 %{SOURCE1} .

%build
export CXXFLAGS=$RPM_OPT_FLAGS
%{__python} setup.py build

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build \
	--root $RPM_BUILD_ROOT

# LICENSE
for doc in COPYING BSD GPL LGPL ; do
	%{__install} -cpm 644 %{_datadir}/doc/mecab-%{version}/$doc .
done

%check || :
%{__mv} test.py test.py.orig
iconv -f EUC-JP -t UTF-8 test.py.orig | \
	%{__sed} -e '1s|^\(.*\)$|\1\n# coding=UTF-8|' \
	> test.py
PYTHONPATH=$RPM_BUILD_ROOT%{python_sitearch} %{__python} test.py

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc bindings.html
%doc COPYING BSD GPL LGPL
%doc MeCab-license-Fedora

%{python_sitearch}/*MeCab*

%changelog
* Fri May  4 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.95-3
- Add license notification text for now.

* Sat Mar 31 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.95-2
- A bit clean up
- change the name to python-mecab

* Thu Mar 22 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.95-1
- Initial packaging.
